Commit d6f42561 authored by Julian Wiesener's avatar Julian Wiesener

initial import

parents
Copyright (c) 2018 UPLEX Nils Goroll Systemoptimierung
All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
#!/bin/bash
PREFIX="/home/pkgbuild/uplex-varnish-dpkg"
DPKGDIR="${PREFIX}/dpkg"
BUILDDIR="${PREFIX}/build"
cd ${DPKGDIR} || exit 1
build_dist () {
DEBRELEASE=$1
ARCH=$2
if [ -z "${DEBRELEASE}" ] || [ -z "${ARCH}" ]; then
echo "Usage build_dist dist arch"
exit 1
fi
SBUILDDIR="${BUILDDIR}/archive/${VERSION}/${DEBRELEASE}"
ERR=0
for dpkg in $(<build_dpkg.list); do
if [ "${dpkg}" == "__push_repo" ]; then
push_repo || exit 1
else
VERSION="${VERSION}" DEBRELEASE="${DEBRELEASE}" \
ARCH="${ARCH}" builddpkg ${dpkg} || let ERR+=1
fi
done
echo "Build for ${DEBRELEASE} done with $ERR failed packages"
return $ERR
}
push_repo () {
aptly repo add ${DEBRELEASE} "${SBUILDDIR}" || return 1
aptly publish update "${DEBRELEASE}" || return 1
return 0
}
if [ -z "${VERSION}" ]; then
VERSION=$(date "+%Y%m%d")
fi
if [ -z "${DEBRELEASE}" ]; then
for dist in $(<build_dist.list); do
ERR=0
build_dist ${dist/\// }
done
else
if [ -z "${ARCH}" ]; then
ARCH="amd64"
fi
build_dist "${DEBRELEASE}" "${ARCH}"
fi
#!/bin/bash
PREFIX="/home/pkgbuild/uplex-varnish-dpkg"
DPKGDIR="${PREFIX}/dpkg"
PKGNAME="$1"
BUILDDIR="${PREFIX}/build"
if [ -z "${ARCH}" ]; then
ARCH="amd64"
fi
if [ -z "${PKGNAME}" ]; then
echo "Usage: $0 pkg_name"
exit 1
fi
DEBDIR="${PREFIX}/dpkg/${PKGNAME}/debian"
if ! [ -d "${DEBDIR}" ]; then
echo "ERROR: dpkg directory not found"
exit 1
fi
if ! [ -d "${BUILDDIR}" ]; then
mkdir -p "${BUILDDIR}" || exit 1
fi
cd "${BUILDDIR}" || exit 1
SRCDIR=${PKGNAME}
GIT_UPSTREAM="$(awk '/^Vcs-Git:/ { print $2 }' ${DEBDIR}/control)"
GIT_CHEKOUT="-B master origin/master"
DEFAULT_CHANGE_MSG="Automatic build from git"
if [ -z "${DEBRELEASE}" ]; then
DEBRELEASE="jessie"
fi
if [ -z "${VERSION}" ]; then
VERSION=$(date "+%Y%m%d")
fi
SBUILDDIR="${BUILDDIR}/archive/${VERSION}/${DEBRELEASE}"
if [ -f "${PREFIX}/dpkg/${PKGNAME}/overrides" ]; then
. "${PREFIX}/dpkg/${PKGNAME}/overrides"
fi
FULL_VERSION="${VERSION}+${DEBRELEASE}"
if [ -z "${CHANGE_MSG}" ]; then
CHANGE_MSG="${DEFAULT_CHANGE_MSG}"
fi
if ! [ -d "${SRCDIR}" ]; then
if ! [ -z "${GIT_UPSTREAM}" ]; then
git clone "${GIT_UPSTREAM}" || exit 1
else
echo "No method to fetch source"
exit 1
fi
fi
SRCDIR="${BUILDDIR}/${SRCDIR}"
cd "${SRCDIR}" || exit 1
if ! [ -z "${GIT_CHEKOUT}" ]; then
git fetch || exit 1
git checkout ${GIT_CHEKOUT} || exit 1
fi
if [ -f ./debian/changelog ]; then
rm ./debian/changelog || exit 1
fi
rsync -a ${DEBDIR} ./
if type prep_src >/dev/null 2>&1; then
prep_src || exit 1
fi
sed "s/DPGK_VERSION/${FULL_VERSION}/g" ${DEBDIR}/control > debian/control || exit 1
if [ -f debian/changelog ]; then
dch -u low -v "$FULL_VERSION" -D stable "${CHANGE_MSG}" || exit 1
else
dch -u low --package "${PKGNAME}" --create -v "$FULL_VERSION" -D stable "${CHANGE_MSG}" || exit 1
fi
if ! [ -d "${SBUILDDIR}" ]; then
mkdir -p "${SBUILDDIR}" || exit 1
fi
cd "${SBUILDDIR}" || exit 1
sbuild -d ${DEBRELEASE} --arch=${ARCH} ${SRCDIR} || exit 1
rm ${BUILDDIR}/${PKGNAME}_${FULL_VERSION}*
#!/bin/bash
PREFIX="/home/pkgbuild/uplex-varnish-dpkg"
DPKGDIR="${PREFIX}/dpkg"
PKGNAME="$1"
if [ -z "${PKGNAME}" ]; then
echo "Usage: $0 pkg_name"
exit 1
fi
if ! [ -d "${DPKGDIR}" ]; then
echo "ERROR: dpkg directory not found"
exit 1
fi
cd "${PREFIX}/dpkg" || exit 1
mkdir "${PKGNAME}" || exit 1
mkdir "${PKGNAME}/debian" || exit 1
TGTDIR="${PREFIX}/dpkg/${PKGNAME}/debian"
cd template_vmod/debian || exit 1
for FI in *; do
sed "s/TEMPLATE_VMOD_NAME/${PKGNAME}/g" ${FI} > ${TGTDIR}/${FI}
done
chmod +x ${TGTDIR}/rules
echo "Done, manual customization needed in ${TGTDIR}"
echo " Set \"Description\" and aditional dependencies in control file"
echo " Add license to copyright file"
jessie/amd64
trusty/amd64
varnish
__push_repo
dcs-classifier
libvmod-blobdigest
libvmod-blobsynth
libvmod-geoip2
libvmod-re
varnish-modules
libvmod-re2
__push_repo
Source: dcs-classifier
Section: web
Priority: extra
Maintainer: Uplex Varnish <varnish@uplex.de>
Build-Depends: debhelper (>= 7),
automake,
autotools-dev,
libtool,
build-essential,
pkg-config,
python-docutils,
libcrypt-rc4-perl,
varnish (= DPGK_VERSION),
varnish-dev (= DPGK_VERSION)
Standards-Version: 3.9.6
Vcs-Git: git://code.uplex.de/uplex-varnish/dcs_classifier.git
Homepage: https://code.uplex.de/uplex-varnish/dcs_classifier
Package: dcs-classifier
Architecture: any
Depends: ${Varnish:strictABI}, ${Varnish:ABI}, ${shlibs:Depends}, ${misc:Depends}
Description: Varnish module for Device Classifier Service (DCS) database
.
This Varnish module provides an efficient implementation of device
detection and classification using the downloadable version of the
Netbiscuits Device Classifier Service (DCS) database. or a
self-provided database. An example database is included.
.
Netbiscuits Device Classifier Service (DCS) database
----------------------------------------------------
.
The DCS database is not part of this module and needs to be obtained
from Netbiscuits, please refer to
http://www.netbiscuits.com/device-detection/ as a starting point.
Copyright 2014-2016 UPLEX - Nils Goroll Systemoptimierung
All rights reserved.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the
distribution.
THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS *AS IS* AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL AUTHOR OR CONTRIBUTORS BE
LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
usr/share/doc/dcs_classifier
#!/usr/bin/make -f
DH_VERBOSE=1
VMOD_ABI = $(shell printf '\#include "vrt.h"\nvarnishabi- VRT_MAJOR_VERSION . VRT_MINOR_VERSION\n' \
| cpp - $(shell pkg-config --cflags varnishapi) \
| sed -e '/^varnishabi-/!d' -e 's/U//g' -e 's/ //g')
VMOD_strictABI = $(shell printf '\#include "vmod_abi.h"\nVMOD_ABI_Version\n' \
| cpp - $(shell pkg-config --cflags varnishapi) \
| sed -e '/^"/!d' -e 's/\"//g' -e 's/^.* /varnishabi-strict-/')
override_dh_auto_configure:
./autogen.sh
DCS_KEY="demo" DCS_DBFILE="dcs_demo.db" dh_auto_configure
override_dh_gencontrol: debian/substvars
dh_gencontrol -- -Tdebian/substvars
debian/substvars:
echo "Varnish:ABI=$(VMOD_ABI)" > $@
echo "Varnish:strictABI=$(VMOD_strictABI)" >> $@
%:
dh $@
SRCDIR=dcs_classifier
libmaxminddb (1.3.1-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version to 4.1.2, no changes needed.
* Add NOTICE to debian/docs, per Apache-2.0's requirements, as identified by
lintian.
* Add patch to remove Pandoc version from manpages, as that may introduce
deltas between builds on different architecture, thus breaking multi-arch.
(Closes: #874247)
* Add patch to pass -export-symbols-regex to LDFLAGS, to export only MMDB_*
symbols and thus avoid exporting the new data_pool_* symbols, which are
seemingly internal-only.
-- Faidon Liambotis <paravoid@debian.org> Wed, 27 Dec 2017 04:01:35 +0200
libmaxminddb (1.2.1-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version to 4.0.0.
* Bump debhelper compatibility level to 10.
-- Faidon Liambotis <paravoid@debian.org> Fri, 04 Aug 2017 22:40:10 +0300
libmaxminddb (1.2.0-1) unstable; urgency=medium
* New upstream release.
* Bump Standards-Version to 3.9.8.
* Pass -O--dbgsym-migration to dh_strip and relax the debhelper dependency
to ease backports.
-- Faidon Liambotis <paravoid@debian.org> Fri, 15 Jul 2016 13:09:07 +0300
libmaxminddb (1.1.5-1) unstable; urgency=medium
* New upstream release. (Closes: #816783)
- Fixes bound checking on several datatypes. (Closes: #805657)
- Drop patch fix-exec-includedir, superseded upstream.
* Bump Standards-Version to 3.9.7, no changes needed.
* Switch Homepage, Vcs-Git and Vcs-Browser to https URLs.
* Ship the pkg-config .pc file in the -dev package.
* Migrate from our own -dbg package to the automatic -dbgsym package.
-- Faidon Liambotis <paravoid@debian.org> Wed, 23 Mar 2016 01:20:35 +0200
libmaxminddb (1.0.4-2) unstable; urgency=medium
* Switch libmaxminddb-dev to multiarch include paths, due to
architecture-dependent header files. (Closes: #788878)
-- Faidon Liambotis <paravoid@debian.org> Sun, 19 Jul 2015 02:22:02 +0300
libmaxminddb (1.0.4-1) unstable; urgency=medium
* Initial release. (Closes: #741199)
-- Faidon Liambotis <paravoid@debian.org> Tue, 12 May 2015 19:30:28 +0300
Source: libmaxminddb
Section: net
Priority: optional
Maintainer: Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 7),
automake,
autotools-dev,
libtool,
perl,
libipc-run3-perl,
libtest-output-perl,
# for dev-bin/make-man-pages.pl
pandoc,
libipc-system-simple-perl,
libfile-slurp-perl,
libfile-which-perl
Standards-Version: 3.9.6
Homepage: https://maxmind.github.io/libmaxminddb/
Vcs-Git: git://github.com/maxmind/libmaxminddb.git
Package: libmaxminddb0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: mmdb-bin
Description: IP geolocation database library
The libmaxminddb library provides a C library for reading MaxMind DB files,
including the GeoIP2 databases from MaxMind. This is a custom binary format
designed to facilitate fast lookups of IP addresses while allowing for great
flexibility in the type of data associated with an address.
.
The MaxMind DB format is an open format. The spec is available at
http://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
Commons Attribution-ShareAlike 3.0 Unported License.
Package: libmaxminddb-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libmaxminddb0 (= ${binary:Version}), ${misc:Depends}
Description: IP geolocation database library (development headers)
The libmaxminddb library provides a C library for reading MaxMind DB files,
including the GeoIP2 databases from MaxMind. This is a custom binary format
designed to facilitate fast lookups of IP addresses while allowing for great
flexibility in the type of data associated with an address.
.
The MaxMind DB format is an open format. The spec is available at
http://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
Commons Attribution-ShareAlike 3.0 Unported License.
.
This package contains the development files for the libmaxminddb library.
Package: mmdb-bin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IP geolocation lookup command-line tool
The libmaxminddb library provides a C library for reading MaxMind DB files,
including the GeoIP2 databases from MaxMind. This is a custom binary format
designed to facilitate fast lookups of IP addresses while allowing for great
flexibility in the type of data associated with an address.
.
The MaxMind DB format is an open format. The spec is available at
http://maxmind.github.io/MaxMind-DB/. This spec is licensed under the Creative
Commons Attribution-ShareAlike 3.0 Unported License.
.
This package contains the command line utilities to resolve IPs using the
libmaxminddb library.
Format: http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: libmaxminddb
Source: http://maxmind.github.io/libmaxminddb/
Files: *
Copyright: 2013-2014 MaxMind, Inc.
License: Apache-2.0
Files: t/maxmind-db/*
Copyright: 2013-2014 MaxMind, Inc.
License: CC-BY-SA
This work is licensed under the Creative Commons Attribution-ShareAlike 3.0
Unported License. To view a copy of this license, visit
http://creativecommons.org/licenses/by-sa/3.0/ or send a letter to Creative
Commons, 444 Castro Street, Suite 900, Mountain View, California, 94041, USA.
Files: t/libtap/*
Copyright: 2012 Jake Gelbman <gelbman@gmail.com>
License: GPL-2+
Files: debian/*
Copyright: 2014 Faidon Liambotis <paravoid@debian.org>
License: GPL-2+
License: Apache-2.0
Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at
.
http://www.apache.org/licenses/LICENSE-2.0
.
Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
.
On Debian systems, the complete text of the Apache version 2.0 license
can be found in "/usr/share/common-licenses/Apache-2.0".
License: GPL-2+
This program is free software; you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation; either version 2 of the License, or (at your option) any later
version.
.
This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
.
You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
.
On Debian systems, the complete text of the GNU General Public License can be
found in "/usr/share/common-licenses/GPL".
Files: src/maxminddb-compat-util.h
Copyright: 2005 Pascal Gloor <pascal.gloor@spale.com>
2009 David Schultz <das@FreeBSD.org>
1988, 1993 The Regents of the University of California
Comment: The memmem, strdup, and strndup functions were all copied from the
FreeBSD source, along with the relevant copyright notice.
License: BSD-2-clause and BSD-3-clause and BSD-4-clause
Applies to memmem implementation
.
Copyright (c) 2005 Pascal Gloor <pascal.gloor@spale.com>
.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
3. The name of the author may not be used to endorse or promote
products derived from this software without specific prior written
permission.
.
THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
.
Applies to strnlen implementation
.
Copyright (c) 2009 David Schultz <das@FreeBSD.org>
All rights reserved.
.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
.
THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
.
Applies to strdup and strndup implementation */
.
Copyright (c) 1988, 1993
The Regents of the University of California. All rights reserved.
.
Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions
are met:
1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.
2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.
3. Neither the name of the University nor the names of its contributors
may be used to endorse or promote products derived from this software
without specific prior written permission.
.
THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
SUCH DAMAGE.
[DEFAULT]
upstream-tree=tag
debian-branch=debian
upstream-tag = %(version)s
no-create-orig = False
submodules = True
usr/include/*
usr/lib/lib*.a
usr/lib/lib*.so
usr/lib/pkgconfig/*
usr/share/man/man3/MMDB*
usr/lib/lib*.so.*
usr/share/man/man3/libmaxminddb.3
libmaxminddb.so.0 libmaxminddb0 #MINVER#
* Build-Depends-Package: libmaxminddb-dev
MMDB_aget_value@Base 1.0.2
MMDB_close@Base 1.0.2
MMDB_dump_entry_data_list@Base 1.0.2
MMDB_free_entry_data_list@Base 1.0.2
MMDB_get_entry_data_list@Base 1.0.2
MMDB_get_metadata_as_entry_data_list@Base 1.0.2
MMDB_get_value@Base 1.0.2
MMDB_lib_version@Base 1.0.2
MMDB_lookup_sockaddr@Base 1.0.2
MMDB_lookup_string@Base 1.0.2
MMDB_open@Base 1.0.2
MMDB_read_node@Base 1.0.2
MMDB_strerror@Base 1.0.2
MMDB_vget_value@Base 1.0.2
usr/bin/*
usr/share/man/man1/*
From: Faidon Liambotis <paravoid@debian.org>
Date: Wed, 27 Dec 2017 02:26:45 +0200
Subject: Remove Pandoc version from manpages
This is to allow needless deltas between builds with slightly different
Pandoc versions, as this breaks multi-arch, cf. #874247.
---
dev-bin/make-man-pages.pl | 1 +
1 file changed, 1 insertion(+)
diff --git a/dev-bin/make-man-pages.pl b/dev-bin/make-man-pages.pl
index e589088..e27d17d 100755
--- a/dev-bin/make-man-pages.pl
+++ b/dev-bin/make-man-pages.pl
@@ -68,6 +68,7 @@ sub _fix_indentation {
edit_file(
sub {
s/^\.IP\n\.nf/.IP "" 4\n.nf/gm;
+ s/(Automatically generated by Pandoc)(.+)$/$1/m;
},
$file
);
From: Faidon Liambotis <paravoid@debian.org>
Date: Wed, 27 Dec 2017 02:57:45 +0200
Subject: Add export-symbols-regexp to Makefile.am
As to only export MMDB_* symbols. Avoids exporting the new data_pool_*
symbols, which are seemingly internal-only.
---
src/Makefile.am | 2 +-
t/Makefile.am | 1 +
2 files changed, 2 insertions(+), 1 deletion(-)
diff --git a/src/Makefile.am b/src/Makefile.am
index feb7340..6d57aca 100644
--- a/src/Makefile.am
+++ b/src/Makefile.am
@@ -4,7 +4,7 @@ lib_LTLIBRARIES = libmaxminddb.la
libmaxminddb_la_SOURCES = maxminddb.c maxminddb-compat-util.h \
data-pool.c data-pool.h
-libmaxminddb_la_LDFLAGS = -version-info 0:7:0
+libmaxminddb_la_LDFLAGS = -version-info 0:7:0 -export-symbols-regex '^MMDB_.*'
include_HEADERS = $(top_srcdir)/include/maxminddb.h
pkgconfig_DATA = libmaxminddb.pc
diff --git a/t/Makefile.am b/t/Makefile.am
index b429ce5..95a4aa8 100644
--- a/t/Makefile.am
+++ b/t/Makefile.am
@@ -17,6 +17,7 @@ check_PROGRAMS = \
no_map_get_value_t read_node_t threads_t version_t
data_pool_t_CFLAGS = $(CFLAGS) -I$(top_srcdir)/src
+data_pool_t_SOURCES = data-pool-t.c $(top_builddir)/src/data-pool.c
threads_t_CFLAGS = $(CFLAGS) -pthread
TESTS = $(check_PROGRAMS) compile_c++_t.pl mmdblookup_t.pl
0001-Remove-Pandoc-version-from-manpages.patch
0002-Add-export-symbols-regexp-to-Makefile.am.patch
#!/usr/bin/make -f
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
DEBUG += --enable-debug
endif